//+------------------------------------------------------------------+
//|                                                     Attempt1.mq4 |
//|                                                 Aramide Shobande |
//|                                          aramide_s@hotmail.co.uk |
//+------------------------------------------------------------------+
#property copyright "Aramide Shobande"
#property link      "aramide_s@hotmail.co.uk"

#property indicator_chart_window
#property indicator_buffers 5
#property indicator_color1 Lime
#property indicator_color2 Red

#property indicator_color3 Blue
#property indicator_color4 Lime
#property indicator_color5 Red

extern int numOfBars=100;

//--- buffers
double ExtMapBuffer1Up[];
double ExtMapBuffer2Down[];

double PivotBuffer[];
double S1Buffer[];
double R1Buffer[];

string Pivot="Pivot Point", Sup1="S 1", Res1="R 1";

int fontsize=15;

double P,S1,R1;

double LastHigh, LastLow, x;
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   SetIndexStyle(0,DRAW_ARROW);
   SetIndexArrow(0,241);
   SetIndexBuffer(0,ExtMapBuffer1Up);
   
   SetIndexEmptyValue(0,0.0);
   
   SetIndexStyle(1,DRAW_ARROW);
   SetIndexArrow(1,242);
   SetIndexBuffer(1,ExtMapBuffer2Down);
   
   SetIndexEmptyValue(1,0.0);
   
   string short_name;
   
   SetIndexStyle(2,DRAW_LINE,0,1,Blue);
   SetIndexStyle(3,DRAW_LINE,0,1,Lime);
   SetIndexStyle(4,DRAW_LINE,0,1,Red);
   
   SetIndexBuffer(2,PivotBuffer);
   SetIndexBuffer(3,S1Buffer);
   SetIndexBuffer(4,R1Buffer);
   
   short_name="Pivot Point";
   IndicatorShortName(short_name);
   SetIndexLabel(2,short_name);
   
   SetIndexDrawBegin(2,1);
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   ObjectDelete("Pivot");
   ObjectDelete("Sup1");
   ObjectDelete("Res1");
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int    counted_bars=IndicatorCounted();
   int    maximum;
   int    i;
   double MakeArrow;
   
   if(counted_bars==0)
   {
      x=Period();
      if(x>240) return(-1);
      
      ObjectCreate("Pivot",OBJ_TEXT,0,0,0);
      ObjectSetText("Pivot", "Pivot Point",fontsize,"Arial",White);
      
      ObjectCreate("Sup1",OBJ_TEXT,0,0,0);
      ObjectSetText("Sup1","S 1",fontsize,"Arial",White);
      
      ObjectCreate("Res1",OBJ_TEXT,0,0,0);
      ObjectSetText("Res1","R 1",fontsize,"Arial",White);
   }
   
   if(counted_bars<0) return(-1);
   maximum=(Bars-counted_bars)-1;
   
   for(i=maximum; i>0;i--)
   {
      if (High[i+1]>LastHigh)
         LastHigh=High[i+1];
         
      if (Low[i+1]<LastLow)
         LastLow=Low[i+1];
         
      if (TimeDay(Time[i])!=TimeDay(Time[i+1]))
         {
            P=(LastHigh+LastLow+Close[i+1])/3;
            
            R1 = (2*P)-LastLow;
            S1 = (2*P)-LastHigh;
            
            LastLow=Open[i];
            LastHigh=Open[i];
            
            ObjectMove("Pivot",0,Time[i],P);
            ObjectMove("Sup1",0,Time[i],S1);
            ObjectMove("Res1",0,Time[i],R1);
         }
         
         PivotBuffer[i]=P;
         S1Buffer[i]=S1;
         R1Buffer[i]=R1;
         
         
         //This is where the interaction between the pivot point lines
         //and the bars touching them should take place
         MakeArrow=Bars;
         
         if(MakeArrow<R1Buffer[i])
            ExtMapBuffer1Up[i]=Low[i]+5*Point;
         else
            ExtMapBuffer1Up[i]=0.0;
         
    }

//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+